Index: librt/prep.c
===================================================================
--- librt/prep.c	(revision 54048)
+++ librt/prep.c	(working copy)
@@ -184,7 +184,7 @@
     bu_ptbl_free(&rtip->rti_resources);
     bu_ptbl_free(&rtip->delete_regs);
 
-    bu_free((char *)rtip, "struct rt_i");
+    bu_free((genptr_t)rtip, "struct rt_i");
 }
 
 
@@ -395,7 +395,7 @@
     /* Release storage used for bounding RPPs of solid "pieces" */
     RT_VISIT_ALL_SOLTABS_START(stp, rtip) {
 	if (stp->st_piece_rpps) {
-	    bu_free((char *)stp->st_piece_rpps, "st_piece_rpps[]");
+	    bu_free((genptr_t)stp->st_piece_rpps, "st_piece_rpps[]");
 	    stp->st_piece_rpps = NULL;
 	}
     } RT_VISIT_ALL_SOLTABS_END;
@@ -750,7 +750,7 @@
 	tp = resp->re_tree_hd;
 	while (tp != TREE_NULL) {
 	    resp->re_tree_hd = tp->tr_b.tb_left;
-	    bu_free((char *)tp, "union tree in resource struct");
+	    bu_free((genptr_t)tp, "union tree in resource struct");
 	    tp = resp->re_tree_hd;
 	}
     }
@@ -926,7 +926,7 @@
 
     /* Clean out the array of pointers to regions, if any */
     if (rtip->Regions) {
-	bu_free((char *)rtip->Regions, "rtip->Regions[]");
+	bu_free((genptr_t)rtip->Regions, "rtip->Regions[]");
 	rtip->Regions = (struct region **)0;
 
 	/* Free space partitions */
@@ -945,13 +945,13 @@
     for (i=0; i <= ID_MAX_SOLID; i++) {
 	if (rtip->rti_nsol_by_type[i] <= 0) continue;
 	if (rtip->rti_sol_by_type[i]) {
-	    bu_free((char *)rtip->rti_sol_by_type[i], "sol_by_type");
+	    bu_free((genptr_t)rtip->rti_sol_by_type[i], "sol_by_type");
 	}
 	rtip->rti_sol_by_type[i] = (struct soltab **)0;
 	rtip->rti_nsol_by_type[i] = 0;
     }
     if (rtip->rti_Solids) {
-	bu_free((char *)rtip->rti_Solids, "rtip->rti_Solids[]");
+	bu_free((genptr_t)rtip->rti_Solids, "rtip->rti_Solids[]");
 	rtip->rti_Solids = (struct soltab **)0;
     }
 
@@ -984,7 +984,7 @@
     }
 
     if (rtip->Orca_hash_tbl) {
-	bu_free((char *)rtip->Orca_hash_tbl, "rtip->Orca_hash_tbl");
+	bu_free((genptr_t)rtip->Orca_hash_tbl, "rtip->Orca_hash_tbl");
 	rtip->Orca_hash_tbl = NULL;
     }
     if (rt_uniresource.re_magic) {
@@ -1057,10 +1057,10 @@
 
     db_free_tree(delregp->reg_treetop, resp);
     delregp->reg_treetop = TREE_NULL;
-    bu_free((char *)delregp->reg_name, "region name str");
+    bu_free((genptr_t)delregp->reg_name, "region name str");
     delregp->reg_name = (char *)0;
     bu_avs_free(&(delregp->attr_values));
-    bu_free((char *)delregp, "struct region");
+    bu_free((genptr_t)delregp, "struct region");
     return 0;
 }
 
@@ -1304,13 +1304,13 @@
 	bu_log("Cannot find path from %s to %s\n",
 	       start->d_namep, end->d_namep);
 	db_free_full_path(path);
-	bu_free((char *)path, "path");
+	bu_free((genptr_t)path, "path");
 	return 1;
     }
 
     if (rt_db_get_internal(&intern, start, dbip, NULL, resp) < 0) {
 	db_free_full_path(path);
-	bu_free((char *)path, "path");
+	bu_free((genptr_t)path, "path");
 	return 1;
     }
 
@@ -1565,7 +1565,7 @@
 	    for (k=0; k<BU_PTBL_LEN(&objs->paths); k++) {
 		if (objs->tsp[k]) {
 		    db_free_db_tree_state(objs->tsp[k]);
-		    bu_free((char *)objs->tsp[k], "tree_state");
+		    bu_free((genptr_t)objs->tsp[k], "tree_state");
 		}
 		path = (struct db_full_path *)BU_PTBL_GET(&objs->paths, k);
 		db_free_full_path(path);
@@ -1591,7 +1591,7 @@
 	    for (k=0; k<BU_PTBL_LEN(&objs->paths); k++) {
 		if (objs->tsp[k]) {
 		    db_free_db_tree_state(objs->tsp[k]);
-		    bu_free((char *)objs->tsp[k], "tree_state");
+		    bu_free((genptr_t)objs->tsp[k], "tree_state");
 		}
 		path = (struct db_full_path *)BU_PTBL_GET(&objs->paths, k);
 		db_free_full_path(path);
@@ -1602,7 +1602,7 @@
 	}
 
 	db_free_db_tree_state(tree_state);
-	bu_free((char *)tree_state, "tree_state");
+	bu_free((genptr_t)tree_state, "tree_state");
     }
 
     /* eliminate regions to be unprepped */
@@ -1715,7 +1715,7 @@
     for (i=0; i<BU_PTBL_LEN(&(objs->paths)); i++) {
 	bu_free(argv[i], "argv[i]");
     }
-    bu_free((char *)argv, "argv");
+    bu_free((genptr_t)argv, "argv");
 
     rtip->needprep = 0;
 
Index: librt/db_open.c
===================================================================
--- librt/db_open.c	(revision 54048)
+++ librt/db_open.c	(working copy)
@@ -126,7 +126,7 @@
 	    if (RT_G_DEBUG & DEBUG_DB) {
 		bu_log("db_open(%s) FAILED, unable to open file for reading\n", name);
 	    }
-	    bu_free((char *)dbip, "struct db_i");
+	    bu_free((genptr_t)dbip, "struct db_i");
 	    return DBI_NULL;
 	}
 
@@ -141,7 +141,7 @@
 	    if (RT_G_DEBUG & DEBUG_DB) {
 		bu_log("db_open(%s) FAILED, unable to open file for reading/writing\n", name);
 	    }
-	    bu_free((char *)dbip, "struct db_i");
+	    bu_free((genptr_t)dbip, "struct db_i");
 	    return DBI_NULL;
 	}
 
@@ -194,7 +194,7 @@
 
 	    bu_free((genptr_t)argv[0], "db_open: argv[0]");
 	    bu_free((genptr_t)argv, "db_open: argv");
-	    bu_free((char *)dbip, "struct db_i");
+	    bu_free((genptr_t)dbip, "struct db_i");
 
 	    return DBI_NULL;
 	}
@@ -382,7 +382,7 @@
 	dbip->dbi_filepath = NULL; /* sanity */
     }
 
-    bu_free((char *)dbip, "struct db_i");
+    bu_free((genptr_t)dbip, "struct db_i");
 }
 
 int
Index: librt/cut.c
===================================================================
--- librt/cut.c	(revision 54048)
+++ librt/cut.c	(working copy)
@@ -889,7 +889,7 @@
 		head = rt_cut_one_axis(&rtip->rti_cuts_waiting, rtip,
 				       Y, 0, nuginfo.nu_cells_per_axis[Y]-1, &nuginfo);
 		rtip->rti_CutHead = *head;	/* struct copy */
-		bu_free((char *)head, "union cutter");
+		bu_free((genptr_t)head, "union cutter");
 
 		if (RT_G_DEBUG&DEBUG_CUTDETAIL) {
 		    for (i=0; i<3; i++) {
@@ -1256,7 +1256,7 @@
 		olp->pieces[k++] = more_pieces[j];
 	    }
 	    if (more_pieces) {
-		bu_free((char *)more_pieces, "more_pieces");
+		bu_free((genptr_t)more_pieces, "more_pieces");
 	    }
 	    if (olp->npieces < plp->npieces) success = 1;
 	} else {
@@ -1716,7 +1716,7 @@
 
 	case CUT_BOXNODE:
 	    if (cutp->bn.bn_list) {
-		bu_free((char *)cutp->bn.bn_list, "bn_list[]");
+		bu_free((genptr_t)cutp->bn.bn_list, "bn_list[]");
 		cutp->bn.bn_list = (struct soltab **)NULL;
 	    }
 	    cutp->bn.bn_len = 0;
@@ -1726,10 +1726,10 @@
 		for (i=0; i<cutp->bn.bn_piecelen; i++) {
 		    struct rt_piecelist *olp = &cutp->bn.bn_piecelist[i];
 		    if (olp->pieces) {
-			bu_free((char *)olp->pieces, "olp->pieces");
+			bu_free((genptr_t)olp->pieces, "olp->pieces");
 		    }
 		}
-		bu_free((char *)cutp->bn.bn_piecelist, "bn_piecelist[]");
+		bu_free((genptr_t)cutp->bn.bn_piecelist, "bn_piecelist[]");
 		cutp->bn.bn_piecelist = (struct rt_piecelist *)NULL;
 	    }
 	    cutp->bn.bn_piecelen = 0;
@@ -2350,7 +2350,7 @@
 		}
 
 		if (more_pieces) {
-		    bu_free((char *)more_pieces, "more_pieces");
+		    bu_free((genptr_t)more_pieces, "more_pieces");
 		}
 	    }
 	    break;
Index: nirt/if.c
===================================================================
--- nirt/if.c	(revision 54048)
+++ nirt/if.c	(working copy)
@@ -355,7 +355,7 @@
 {
     op->forw->backw = op->backw;
     op->backw->forw = op->forw;
-    bu_free((char *)op, "free op in del_ovlp");
+    bu_free((genptr_t)op, "free op in del_ovlp");
 }
 
 
Index: nirt/parse_fmt.c
===================================================================
--- nirt/parse_fmt.c	(revision 54048)
+++ nirt/parse_fmt.c	(working copy)
@@ -829,7 +829,7 @@
 	next = oip->next;
 	bu_free(oip->format, "outitem.format");
 	if (oip != oil)
-	    bu_free((char *) oip, "outitem");
+	    bu_free((genptr_t) oip, "outitem");
     }
 }
 
